FindLayer
Prev | 10.3. Topology and TopoGeometry Management | Next

## Name

FindLayer — Returns a topology.layer record by different means.

## Synopsis

`topology.layer FindLayer(`TopoGeometry tg`)`;

`topology.layer FindLayer(`regclass layer_table, name feature_column`)`;

`topology.layer FindLayer(`name schema_name, name table_name, name feature_column`)`;

`topology.layer FindLayer(`integer topology_id, integer layer_id`)`;

## Description

Takes a layer identifier or the identifier of a topology-related object and returns a topology.layer record.

Availability: 3.2.0

## Examples

    SELECT layer_id(findLayer('features.land_parcels', 'feature'));
     layer_id
    ----------
            1
    (1 row)

## See Also

FindTopology

Prev | Up | Next
FindTopology | Home | CreateTopology